/*
		                  LCRZO
                             Network library
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzo.

  Lcrzo is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Lcrzo is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details (http://www.gnu.org).

------------------------------------------------------------------------
*/

#include "lcrzo_incl.h"


/*-------------------------------------------------------------*/
#include "sysdep/priv_stdin.c"
#include "sysdep/priv_passwd.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_dlpi.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_winreg.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_dll_init.c"
#include "sysdep/priv_dll_close.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_dll_snmp.c"
#include "sysdep/priv_dll_iphlpapi.c"
#include "sysdep/priv_dll_winsock2.c"
#include "sysdep/priv_dll_rasapi32.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_fd_block_set.c"
#include "sysdep/priv_fd_block_get.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_winsock_init.c"
#include "sysdep/priv_winsock_close.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_wait_winmsec_init_time.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_criticalsection.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_spoof_supports_eth.c"
#include "sysdep/priv_spoof_supports_ip.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_fd_wait.c"
#include "sysdep/priv_wait_fd_wait.c"
#include "sysdep/priv_wait_fd_read.c"

/*-------------------------------------------------------------*/
#include "sysdep/priv_program_exit.c"

/*-------------------------------------------------------------*/
#if defined LCRZODEF_SYSTEM_Unix
 #include "sysdep/priv_unix_signalhandler.c"
#endif
