/* This file is part of Lcrzo.
*/

/*-------------------------------------------------------------*/
#ifdef LCRZODEF_SYSTEM_Unix
#elif defined LCRZODEF_SYSTEM_Windows
#else
 #error "Unknown value for LCRZODEF_SYSTEM"
#endif

/*-------------------------------------------------------------*/
int lcrzo_debug_processotherexit_wanttowarn(lcrzo_bool yes)
{ lcrzo_debug_globalvars *ptr;
  
  lcrzo_er(lcrzo_debug_globalvars_ptr_get(&ptr));
  ptr->processotherexit_warn=yes;
  return(LCRZO_ERR_OK);
}

/*-------------------------------------------------------------*/
int lcrzo_debug_processotherexit_warn(void)
{ lcrzo_debug_globalvars *ptr;
  
  lcrzo_er(lcrzo_debug_globalvars_ptr_get(&ptr));
  if (ptr->processotherexit_warn)
  { puts("/!\\ call to lcrzo_process_other_exit");
    lcrzo_er(lcrzo_priv_program_exit());
  }
  return(LCRZO_ERR_OK);
}
