/* This file is part of Lcrzo.
*/

#if defined LCRZODEF_SYSTEM_Unix
 /* do no need these functions */
#elif defined LCRZODEF_SYSTEM_Windows
int lcrzo_priv_dll_close(void)
{ int ret, retret;

  /* ignore error, but return it */
  retret=LCRZO_ERR_OK;

  ret=lcrzo_priv_dll_snmp_close(&lcrzo_global_dll_snmp);
  if (ret!=LCRZO_ERR_OK) retret=ret;
  ret=lcrzo_priv_dll_iphlpapi_close(&lcrzo_global_dll_iphlpapi);
  if (ret!=LCRZO_ERR_OK) retret=ret;
  ret=lcrzo_priv_dll_rasapi32_close(&lcrzo_global_dll_rasapi32);
  if (ret!=LCRZO_ERR_OK) retret=ret;
  ret=lcrzo_priv_dll_winsock2_close(&lcrzo_global_dll_winsock2);
  if (ret!=LCRZO_ERR_OK) retret=ret;

  return(retret);
}
#else
 #error "Unknown value for LCRZODEF_SYSTEM"
#endif

